#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1566\r"; sleep 2;
echo -e "write (0,1) -1560\r"; sleep 2;
echo -e "write (0,2) -1476\r"; sleep 2;
echo -e "write (0,3) -1145\r"; sleep 2;
echo -e "write (0,4) -1310\r"; sleep 2;
echo -e "write (0,5) -1466\r"; sleep 2;
echo -e "write (0,6) -1393\r"; sleep 2;
echo -e "write (0,9) -1326\r"; sleep 2;
echo -e "write (0,10) -1333\r"; sleep 2;
echo -e "write (0,11) -1357\r"; sleep 2;
echo -e "write (0,12) -1446\r"; sleep 2;
echo -e "write (0,13) -1373\r"; sleep 2;
echo -e "write (0,14) -1585\r"; sleep 2;
echo -e "write (1,0) -1326\r"; sleep 2;
echo -e "write (1,1) -1443\r"; sleep 2;
echo -e "write (1,2) -1456\r"; sleep 2;
echo -e "write (1,3) -1371\r"; sleep 2;
echo -e "write (1,4) -1544\r"; sleep 2;
echo -e "write (1,5) -1573\r"; sleep 2;
echo -e "write (1,6) -1377\r"; sleep 2;
echo -e "write (1,9) -1488\r"; sleep 2;
echo -e "write (1,10) -1311\r"; sleep 2;
echo -e "write (1,11) -1406\r"; sleep 2;
echo -e "write (1,12) -1397\r"; sleep 2;
echo -e "write (1,13) -1487\r"; sleep 2;
echo -e "write (1,14) -1641\r"; sleep 2;
echo -e "write (2,0) -1369\r"; sleep 2;
echo -e "write (2,1) -1479\r"; sleep 2;
echo -e "write (2,2) -1624\r"; sleep 2;
echo -e "write (2,3) -1339\r"; sleep 2;
echo -e "write (2,4) -1680\r"; sleep 2;
echo -e "write (2,5) -1399\r"; sleep 2;
echo -e "write (2,6) -1553\r"; sleep 2;
echo -e "write (2,9) -1321\r"; sleep 2;
echo -e "write (2,10) -1431\r"; sleep 2;
echo -e "write (2,11) -1578\r"; sleep 2;
echo -e "write (2,12) -1418\r"; sleep 2;
echo -e "write (2,13) -1615\r"; sleep 2;
echo -e "write (2,14) -1342\r"; sleep 2;
echo -e "write (3,0) -1523\r"; sleep 2;
echo -e "write (3,1) -1391\r"; sleep 2;
echo -e "write (3,2) -1505\r"; sleep 2;
echo -e "write (3,3) -1438\r"; sleep 2;
echo -e "write (3,4) -1352\r"; sleep 2;
echo -e "write (3,5) -1478\r"; sleep 2;
echo -e "write (3,6) -1351\r"; sleep 2;
echo -e "write (3,9) -1568\r"; sleep 2;
echo -e "write (3,10) -1356\r"; sleep 2;
echo -e "write (3,11) -1446\r"; sleep 2;
echo -e "write (3,12) -1350\r"; sleep 2;
echo -e "write (3,13) -1534\r"; sleep 2;
echo -e "write (3,14) -1339\r"; sleep 2;
echo -e "write (4,0) -1442\r"; sleep 2;
echo -e "write (4,1) -1382\r"; sleep 2;
echo -e "write (4,2) -1371\r"; sleep 2;
echo -e "write (4,3) -1391\r"; sleep 2;
echo -e "write (4,4) -1329\r"; sleep 2;
echo -e "write (4,5) -1442\r"; sleep 2;
echo -e "write (4,6) -1408\r"; sleep 2;
echo -e "write (4,9) -1435\r"; sleep 2;
echo -e "write (4,10) -1580\r"; sleep 2;
echo -e "write (4,11) -1411\r"; sleep 2;
echo -e "write (4,12) -1295\r"; sleep 2;
echo -e "write (4,13) -1600\r"; sleep 2;
echo -e "write (4,14) -1600\r"; sleep 2;
echo -e "write (5,0) -1600\r"; sleep 2;
echo -e "write (5,1) -1600\r"; sleep 2;
echo -e "write (5,2) -1600\r"; sleep 2;
echo -e "write (5,3) -1600\r"; sleep 2;
echo -e "write (5,4) -1600\r"; sleep 2;
echo -e "write (5,5) -1600\r"; sleep 2;
echo -e "write (5,6) -1600\r"; sleep 2;
echo -e "write (5,9) -1600\r"; sleep 2;
echo -e "write (5,10) -1676\r"; sleep 2;
echo -e "write (5,11) -1459\r"; sleep 2;
echo -e "write (5,12) -1233\r"; sleep 2;
echo -e "write (5,13) -1600\r"; sleep 2;
echo -e "write (5,14) -1479\r"; sleep 2;
echo -e "write (6,0) -1678\r"; sleep 2;
echo -e "write (6,1) -1633\r"; sleep 2;
echo -e "write (6,2) -1600\r"; sleep 2;
echo -e "write (6,3) -1472\r"; sleep 2;
echo -e "write (6,4) -1541\r"; sleep 2;
echo -e "write (6,5) -1529\r"; sleep 2;
echo -e "write (6,6) -1630\r"; sleep 2;
echo -e "write (6,9) -1677\r"; sleep 2;
echo -e "write (6,10) -1600\r"; sleep 2;
echo -e "write (6,11) -1564\r"; sleep 2;
echo -e "write (6,12) -1600\r"; sleep 2;
echo -e "write (6,13) -1618\r"; sleep 2;
echo -e "write (6,14) -1604\r"; sleep 2;
echo -e "write (7,0) -1350\r"; sleep 2;
echo -e "write (7,1) -1590\r"; sleep 2;
echo -e "write (7,3) -1463\r"; sleep 2;
echo -e "write (7,4) -1559\r"; sleep 2;
echo -e "write (7,5) -1472\r"; sleep 2;
echo -e "write (7,6) -1668\r"; sleep 2;
echo -e "write (7,8) -1369\r"; sleep 2;
echo -e "write (7,9) -1540\r"; sleep 2;
echo -e "write (7,10) -1575\r"; sleep 2;
echo -e "write (7,11) -1594\r"; sleep 2;
echo -e "write (7,12) -1600\r"; sleep 2;
echo -e "write (7,13) -1644\r"; sleep 2;
echo -e "write (7,14) -1602\r"; sleep 2;
echo -e "write (8,0) -1478\r"; sleep 2;
echo -e "write (8,1) -1577\r"; sleep 2;
echo -e "write (8,2) -1436\r"; sleep 2;
echo -e "write (8,3) -1348\r"; sleep 2;
echo -e "write (8,4) -1354\r"; sleep 2;
echo -e "write (8,5) -1396\r"; sleep 2;
echo -e "write (8,6) -1612\r"; sleep 2;
echo -e "write (8,9) -1358\r"; sleep 2;
echo -e "write (8,10) -1508\r"; sleep 2;
echo -e "write (8,11) -1392\r"; sleep 2;
echo -e "write (8,12) -1509\r"; sleep 2;
echo -e "write (8,13) -1302\r"; sleep 2;
echo -e "write (8,14) -1343\r"; sleep 2;
echo -e "write (9,0) -1378\r"; sleep 2;
echo -e "write (9,1) -1403\r"; sleep 2;
echo -e "write (9,2) -1510\r"; sleep 2;
echo -e "write (9,3) -1618\r"; sleep 2;
echo -e "write (9,4) -1249\r"; sleep 2;
echo -e "write (9,5) -1574\r"; sleep 2;
echo -e "write (9,6) -1695\r"; sleep 2;
echo -e "write (9,9) -1568\r"; sleep 2;
echo -e "write (9,10) -1469\r"; sleep 2;
echo -e "write (9,11) -1617\r"; sleep 2;
echo -e "write (9,12) -1470\r"; sleep 2;
echo -e "write (9,13) -1571\r"; sleep 2;
echo -e "write (9,14) -1509\r"; sleep 2;
echo -e "write (10,0) -1484\r"; sleep 2;
echo -e "write (10,1) -1400\r"; sleep 2;
echo -e "write (10,2) -1281\r"; sleep 2;
echo -e "write (10,3) -1467\r"; sleep 2;
echo -e "write (10,4) -1290\r"; sleep 2;
echo -e "write (10,5) -1262\r"; sleep 2;
echo -e "write (10,6) -1494\r"; sleep 2;
echo -e "write (10,9) -1430\r"; sleep 2;
echo -e "write (10,10) -1600\r"; sleep 2;
echo -e "write (10,11) -1660\r"; sleep 2;
echo -e "write (10,12) -1346\r"; sleep 2;
echo -e "write (10,13) -1384\r"; sleep 2;
echo -e "write (10,14) -1499\r"; sleep 2;
echo -e "write (11,0) -1338\r"; sleep 2;
echo -e "write (11,1) -1447\r"; sleep 2;
echo -e "write (11,2) -1600\r"; sleep 2;
echo -e "write (11,4) -1626\r"; sleep 2;
echo -e "write (11,5) -1548\r"; sleep 2;
echo -e "write (11,6) -1566\r"; sleep 2;
echo -e "write (11,9) -1418\r"; sleep 2;
echo -e "write (11,10) -1414\r"; sleep 2;
echo -e "write (11,11) -1669\r"; sleep 2;
echo -e "write (11,12) -1282\r"; sleep 2;
echo -e "write (11,13) -1545\r"; sleep 2;
echo -e "write (11,14) -1589\r"; sleep 2;
echo -e "write (11,15) -1658\r"; sleep 2;
echo -e "write (12,1) -1398\r"; sleep 2;
echo -e "write (12,2) -1302\r"; sleep 2;
echo -e "write (12,3) -1407\r"; sleep 2;
echo -e "write (12,4) -1443\r"; sleep 2;
echo -e "write (12,5) -1359\r"; sleep 2;
echo -e "write (12,8) -1438\r"; sleep 2;
echo -e "write (12,9) -1407\r"; sleep 2;
echo -e "write (12,10) -1401\r"; sleep 2;
echo -e "write (12,11) -1549\r"; sleep 2;
echo -e "write (12,12) -1600\r"; sleep 2;
echo -e "write (12,13) -1617\r"; sleep 2;
echo -e "write (12,14) -1518\r"; sleep 2;
echo -e "write (12,15) -1531\r"; sleep 2;
echo -e "write (13,0) -1672\r"; sleep 2;
echo -e "write (13,1) -1600\r"; sleep 2;
echo -e "write (13,2) -1576\r"; sleep 2;
echo -e "write (13,3) -1543\r"; sleep 2;
echo -e "write (13,4) -1360\r"; sleep 2;
echo -e "write (13,5) -1581\r"; sleep 2;
echo -e "write (13,6) -1666\r"; sleep 2;
echo -e "write (13,9) -1665\r"; sleep 2;
echo -e "write (13,10) -1514\r"; sleep 2;
echo -e "write (13,11) -1599\r"; sleep 2;
echo -e "write (13,12) -1336\r"; sleep 2;
echo -e "write (13,13) -1496\r"; sleep 2;
echo -e "write (13,14) -1542\r"; sleep 2;
echo -e "write (14,0) -1414\r"; sleep 2;
echo -e "write (14,1) -1692\r"; sleep 2;
echo -e "write (14,2) -1544\r"; sleep 2;
echo -e "write (14,3) -1372\r"; sleep 2;
echo -e "write (14,4) -1600\r"; sleep 2;
echo -e "write (14,5) -1599\r"; sleep 2;
echo -e "write (14,6) -1588\r"; sleep 2;
echo -e "write (14,9) -1662\r"; sleep 2;
echo -e "write (14,10) -1600\r"; sleep 2;
echo -e "write (14,11) -1504\r"; sleep 2;
echo -e "write (14,12) -1608\r"; sleep 2;
echo -e "write (14,13) -1691\r"; sleep 2;
echo -e "write (14,14) -1367\r"; sleep 2;
echo -e "write (15,0) -1631\r"; sleep 2;
echo -e "write (15,1) -1618\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7007 > ../log/fms_hvon_7007_$t.tex
echo Set new HV
cat ../log/fms_hvon_7007_$t.tex
